Overview
Comment: | Fix build when unpacked in the /pkg/ directory of Tcl: <pre> cat manifest.uuid >>tlsUuid.h cat: manifest.uuid: No such file or directory make[1]: *** [Makefile:343: tlsUuid.h] Error 1 make[1]: Leaving directory 'tcl9.0/unix/pkgs/tcltls' make: *** [Makefile:2070: packages] Error 2 </pre> |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk | main |
Files: | files | file ages | folders |
SHA3-256: |
32c382b729af13a5397395285a2a80a0 |
User & Date: | jan.nijtmans on 2024-11-29 15:03:16 |
Other Links: | branch diff | manifest | tags |
Context
2024-11-29
| ||
15:41 | Re-introduce TCL_UNUSED. Some int <-> Tcl_Size fixes. Some more code cleanup Leaf check-in: cc9314fa6e user: jan.nijtmans tags: trunk, main | |
15:03 | Fix build when unpacked in the /pkg/ directory of Tcl: <pre> cat manifest.uuid >>tlsUuid.h cat: manifest.uuid: No such file or directory make[1]: *** [Makefile:343: tlsUuid.h] Error 1 make[1]: Leaving directory 'tcl9.0/unix/pkgs/tcltls' make: *** [Makefile:2070: packages] Error 2 </pre> check-in: 32c382b729 user: jan.nijtmans tags: trunk, main | |
14:27 | Update to latest TEA/autoconf check-in: 5ccbcd7c60 user: jan.nijtmans tags: trunk, main | |
Changes
Modified Makefile.in from [68c848565e] to [2fff2bc851].
︙ | |||
156 157 158 159 160 161 162 | 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 | - + | # that your library may use. TCL_DEFS can actually be a problem if # you do not compile with a similar machine setup as the Tcl core was # compiled with. #DEFS = $(TCL_DEFS) @DEFS@ $(PKG_CFLAGS) DEFS = @DEFS@ $(PKG_CFLAGS) # Move pkgIndex.tcl to 'BINARIES' var if it is generated in the Makefile |
︙ | |||
326 327 328 329 330 331 332 | 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 | - + - - - - - - + + + + + - + - + | # I would prefer to use $< over $?, but FreeBSD's can't handle it, and # with only one prereq, $? is sufficient. tls.tcl.h: library/tls.tcl sed -e '/^\\s*\#/d' -e '/^\\s*$$/d' -e 's/\\/\\\\/g' -e 's/\"/\\"/g' -e 's/^/"/' \ -e 's/$$/\\n\"/' '$?' > '$@' || { rm -f $@; exit 1; } # Create header file with fossil, git, or svn UUID for build-info command |
︙ | |||
369 370 371 372 373 374 375 | 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 | - + | # Create the pkgIndex.tcl file. # It is usually easiest to let Tcl do this for you with pkg_mkIndex, but # you may find that you need to customize the package. If so, either # modify the -hand version, or create a pkgIndex.tcl.in file and have # the configure script output the pkgIndex.tcl by editing configure.in. #======================================================================== |
︙ |